import carhelp from '@/apis/utils/mixin.js'

import * as API_WeiXin from '@/apis/weixin.js'
 
 var openId = carhelp.getOpenId();

var app = {
	init: function() {
		
		// #ifdef H5
			console.log("SIMPLE_RUN 模式，取配置固定openId  可修改SIMPLE_RUN ")
			carhelp.setOpenId(process.car.openId)
			
		// #endif
		
		// #ifdef MP-WEIXIN
			if (!openId) {
				this.getOpenId()
			}
		// #endif

	},
	 	
	getOpenId() {
		
		var openId = carhelp.getOpenId()
		if (!openId) {
			console.log("getOpenId")
			uni.login({
				provider: 'weixin',
				success: loginRes => {
					console.log("getOpenId",loginRes)
					API_WeiXin.findAppletUserInfo(loginRes.code).then(response => {
						carhelp.setOpenId(response.data)
						//user_info 等属性 ，头像，名称，可通过授权获得  uniapp方法申请
						//carhelp.set("xpgj_wx_user_info",response.data)
						API_WeiXin.saveLoginRecord({
							openId:response.data
						}).then((res) => {
							console.log('App getOpenId  记录用户登陆')
						}).catch(error => {
							console.log('App getOpenId  记录用户登陆 失败')
						})
												
					}).catch(error => {
						console.log(error);
					});
				}
			});
			
		}
	
	}

}
module.exports = app
